# Method Stdio.Fd()->mode()

Method mode

  ``int` mode()`

Description

  Returns the open mode and capabilities for the file.

Returns

  Returns an `|() of the following flags:

  ``0x1000`` | `FILE_READ`
  ``0x2000`` | `FILE_WRITE`
  ``0x4000`` | `FILE_APPEND`
  ``0x8000`` | `FILE_CREATE`
  ``0x0100`` | `FILE_TRUNC`
  ``0x0200`` | `FILE_EXCLUSIVE`
  ``0x0400`` | `FILE_NONBLOCKING`
  ``0x0040`` | PROP_SEND_FD
  ``0x0010`` | PROP_BIDIRECTIONAL
  ``0x0008`` | PROP_BUFFERED
  ``0x0004`` | PROP_SHUTDOWN
  ``0x0002`` | PROP_NONBLOCK
  ``0x0001`` | PROP_IPC

Note

  In some versions of Pike 7.7 and 7.8 the `PROP_` flags were filtered from the result.

See also

  open()